package org.expeditee.gui;

import junit.framework.TestCase;

public class AttributeUtilsTest extends TestCase {

	public final void testExtractAttributes() {
		//fail("Not yet implemented");
	}

	public final void testSetAttribute() {
		//fail("Not yet implemented");
	}

	public final void testGetValue() {
		String[][] data = new String[][]{
				{"Att: Value1", "Value1"},
				{"  Att  :  Value2  ", "Value2"},
				{"@NoValue",""},
				{" @VaLuE ", "@VaLuE"},
				{"@Value   : : : value3", "value3"},
				{"Att: value4 \nA comment", "value4 \nA comment"}
		};
		for(int i = 0; i < data.length; i++){
			assertEquals(data[i][1], AttributeUtils.getValue(data[i][0]));
		}
	}

	public final void testGetAttribute() {
		String[][] data = new String[][]{
				{"AtT1: Value1", "AtT1"},
				{"  Att2  :  Value2  ", "Att2"},
				{"@NoValue",null},
				{" @Att3 : Value ", "@Att3"},
				{" : value3", null},
				{"Att4 : test : value4", "Att4"}
		};
		for(int i = 0; i < data.length; i++){
			assertEquals(data[i][1], AttributeUtils.getAttribute(data[i][0]));
		}
	}

	public final void testSetSingleValue() {
		//fail("Not yet implemented");
	}

	public final void testGetDoubleValue() {
		//fail("Not yet implemented");
	}

}
